Skip to Content
inclamoDocs

Add a New Agent

POST
/api/v1/accounts/{account_id}/inbox_members

Add a new Agent to Inbox

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Request Body

application/json
  1. body
inbox_id*integer

The ID of the inbox

user_ids*array<integer>

IDs of users to be added to the inbox

Response Body

Success

application/json
  1. response
payload?array<>

Array of all active agents

Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/inbox_members' \  -H 'Content-Type: application/json' \  -d '{  "inbox_id": 0,  "user_ids": [    0  ]}'
Example Response
{  "payload": [    {      "id": 0,      "account_id": 0,      "availability_status": "online",      "auto_offline": true,      "confirmed": true,      "email": "string",      "available_name": "string",      "name": "string",      "role": "agent",      "thumbnail": "string",      "custom_role_id": 0    }  ]}